# Uses of Class
org.eclipse.core.expressions.Expression

Packages that use Expression
Package
Description
org.eclipse.core.expressions
Application programming interfaces for the expression language.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.activities
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.menus
Provides the public API and default implementation for contributing menu and toolbars to the menu service.
org.eclipse.ui.services
Classes for service support.

## Uses of Expression in org.eclipse.core.expressions

Subclasses of Expression in org.eclipse.core.expressions
Modifier and Type
Class
Description
`class`
`AndExpression`
`class`
`CompositeExpression`
`class`
`CountExpression`
`class`
`EqualsExpression`
`class`
`OrExpression`
`class`
`ReferenceExpression`
This class makes use of the org.eclipse.core.expressions.definitions extension point to evaluate the current context against pre-defined expressions.
`class`
`TestExpression`
`class`
`WithExpression`
Fields in org.eclipse.core.expressions declared as Expression
Modifier and Type
Field
Description
`static final Expression`
Expression.`FALSE`
The expression corresponding to `EvaluationResult.FALSE`.
`static final Expression`
Expression.`TRUE`
The expression corresponding to `EvaluationResult.TRUE`.
Fields in org.eclipse.core.expressions with type parameters of type Expression
Modifier and Type
Field
Description
`protected List<Expression>`
CompositeExpression.`fExpressions`
Methods in org.eclipse.core.expressions that return Expression
Modifier and Type
Method
Description
`abstract Expression`
ElementHandler.`create(ExpressionConverter converter, IConfigurationElement config)`
Creates the corresponding expression for the given configuration element.
`Expression`
ElementHandler.`create(ExpressionConverter converter, Element element)`
Creates the corresponding expression for the given DOM element.
`Expression[]`
CompositeExpression.`getChildren()`
`Expression`
ExpressionConverter.`perform(IConfigurationElement root)`
Converts the tree of configuration elements represented by the given root element and returns a corresponding expression tree.
`Expression`
ExpressionConverter.`perform(Element root)`
Converts the tree of DOM elements represented by the given root element and returns a corresponding expression tree.
Methods in org.eclipse.core.expressions with parameters of type Expression
Modifier and Type
Method
Description
`void`
CompositeExpression.`add(Expression expression)`

## Uses of Expression in org.eclipse.ui

Subclasses of Expression in org.eclipse.ui
Modifier and Type
Class
Description
`final class`
`ActiveShellExpression`
An expression that checks the active shell variable.
`final class`
`LegacyHandlerSubmissionExpression`
An expression encapsulating all of the information from legacy handler submissions.

## Uses of Expression in org.eclipse.ui.activities

Methods in org.eclipse.ui.activities that return Expression
Modifier and Type
Method
Description
`Expression`
IActivity.`getExpression()`
Return an expression used to enable and disable this activity.

## Uses of Expression in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts with parameters of type Expression
Modifier and Type
Method
Description
`IContextActivation`
IContextService.`activateContext(String contextId, Expression expression)`
Activates the given context within the context of this service.
`IContextActivation`
IContextService.`activateContext(String contextId, Expression expression, boolean global)`
Activates the given context within the context of this service.
`IContextActivation`
IContextService.`activateContext(String contextId, Expression expression, int sourcePriorities)`
Deprecated.
Use `IContextService.activateContext(String, Expression)` instead.

## Uses of Expression in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers with parameters of type Expression
Modifier and Type
Method
Description
`IHandlerActivation`
IHandlerService.`activateHandler(String commandId, IHandler handler, Expression expression)`
Activates the given handler within the context of this service.
`IHandlerActivation`
IHandlerService.`activateHandler(String commandId, IHandler handler, Expression expression, boolean global)`
Activates the given handler within the context of this service.
`IHandlerActivation`
IHandlerService.`activateHandler(String commandId, IHandler handler, Expression expression, int sourcePriorities)`
Deprecated.
Use `IHandlerService.activateHandler(String, IHandler, Expression)` instead.

## Uses of Expression in org.eclipse.ui.menus

Methods in org.eclipse.ui.menus with parameters of type Expression
Modifier and Type
Method
Description
`void`
IContributionRoot.`addContributionItem(IContributionItem item, Expression visibleWhen)`
Adds a given contribution item with provided visibility expression and kill-switch filtering as a direct child of this container.
`void`
IContributionRoot.`registerVisibilityForChild(IContributionItem item, Expression visibleWhen)`
Registers visibilty for arbitrary `IContributionItem` instances that are NOT direct children of this container.

## Uses of Expression in org.eclipse.ui.services

Methods in org.eclipse.ui.services with parameters of type Expression
Modifier and Type
Method
Description
`IEvaluationReference`
IEvaluationService.`addEvaluationListener(Expression expression, IPropertyChangeListener listener, String property)`
Add a listener that can be notified when the workbench application context causes the expression evaluation value to change.